/**
 * @license
 * Copyright 2020 Google LLC. All Rights Reserved.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * =============================================================================
 */
import { BinaryOpSharedProgram } from './binary_op_shared_webgpu';
import { BinaryOpProgram } from './binary_op_webgpu';
export declare const MUL = "return a * b;";
export declare const ADD = "return a + b;";
export declare const SUB = "return a - b;";
export declare const DIV = "return a / b;";
export declare const GREATER = "return float(a > b);";
export declare const GREATER_EQUAL = "return float(a >= b);";
export declare const LESS = "return float(a < b);";
export declare const LESS_EQUAL = "return float(a <= b);";
export declare const SQUARED_DIFFERENCE = "return (a - b) * (a - b);";
export declare const INT_DIV = "\n  float s = sign(a) * sign(b);\n  int ia = int(round(a));\n  int ib = int(round(b));\n  return float(idiv(ia, ib, s));\n";
export declare const PRELU = "return (a < 0.) ? b * a : a;";
export declare const MAX: string;
export declare function getBinaryProgram(op: string, aShape: number[], bShape: number[]): BinaryOpProgram | BinaryOpSharedProgram;
