import { WebGPUProgram } from './webgpu_program';
export declare const RELU = "return max(a, 0.0);";
export declare const RELU6 = "return (a < 0.0) ? 0.0 : min(6.0, a);";
export declare const LINEAR = "return a;";
export declare const ELU = "return (a >= 0.0) ? a : (exp(a) - 1.0);";
export declare const SIGMOID = "return 1.0 / (1.0 + exp(-1.0 * a));";
export declare const ABS = "return abs(a);";
export declare const SQUARE = "return a * a;";
export declare const NEG = "return -a;";
export declare const TANH = "\n  float e2x = exp(-2.0 * abs(a));\n  return sign(a) * (1.0 - e2x) / (1.0 + e2x);\n";
export declare const EXP = "return exp(a);";
export declare const LOG = "if (a < 0.0) return 1.0/0.0;\n  return log(a);";
export declare class UnaryOpProgram implements WebGPUProgram {
    outputShape: number[];
    userCode: string;
    shaderKey: string;
    dispatchLayout: {
        x: number[];
    };
    dispatch: [number, number, number];
    variableNames: string[];
    workPerThread: number;
    workGroupSize: [number, number, number];
    needsShapesUniforms: boolean;
    constructor(outputShape: number[], op: string);
}
